- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Drm Library Init and Shutdown Functions

Functions that start and shutdown the Ecore_Drm Library. More...

## Functions
int | ecore_drm_init (void)
| Initialize the Ecore_Drm library. More...
int | ecore_drm_shutdown (void)
| Shutdown the Ecore_Drm library. More...

## Detailed Description

Functions that start and shutdown the Ecore_Drm Library.

## Function Documentation

int ecore_drm_init | ( | void |  | ) |

Initialize the Ecore_Drm library.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

References ecore_event_init(), ecore_event_shutdown(), ecore_init(), ecore_shutdown(), eeze_init(), eina_init(), eina_log_domain_level_set(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, EINA_LOG_LEVEL_DBG, eina_log_level_set(), and eina_shutdown().

int ecore_drm_shutdown | ( | void |  | ) |

Shutdown the Ecore_Drm library.

Returns
  The number of times the library has been initialized without being shutdown. 0 is returned if an error occurs.

References ecore_event_shutdown(), ecore_shutdown(), eeze_shutdown(), eina_log_domain_unregister(), eina_shutdown(), and ERR.